org.restlet.engine.http.adapter

## Class Adapter

- java.lang.Object
- - org.restlet.engine.http.adapter.Adapter

Direct Known Subclasses:
  ClientAdapter, ServerAdapter

    public class Adapter
    extends java.lang.Object

Converter between high-level and low-level HTTP calls.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Adapter(Context context)` Constructor.

### Method Summary

Methods
`Context` `getContext()` Returns the context.
`java.util.logging.Logger` `getLogger()` Returns the logger.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Adapter

    public Adapter(Context context)

Constructor.

Parameters:
  `context` - The context to use.

### Method Detail

#### getContext

    public Context getContext()

Returns the context.

Returns:
  The context.

#### getLogger

    public java.util.logging.Logger getLogger()

Returns the logger.

Returns:
  The logger.